SunsetProv.Visualization<-function(recipe,data){
  graph<-data$graph.prov
  #fcst definition (Dataset+Datasubset)
  if(!is.null(data$fcst)){
  graph_fcst<-Prov.Visualization(recipe,data,graph,type="fcst")
  }
  #hcst definition (Dataset+Datasubset)
  graph_hcst<-Prov.Visualization(recipe,data,graph,type="hcst")

  if(!is.null(data$fcst)){
    graph<-my_union_graph(graph_fcst$graph, graph_hcst$graph)

    graph<-SunsetProv.Command(graph, package="Visualization", version="2.0.0", fun="modules/Visualization/Visualization.R", arg.list=list("recipe"="Recipe","Data"="Data"), 
                              origin.node.name=c(unlist(graph_fcst$nodenames),unlist(graph_hcst$nodenames)))
    graph<-list("graph"=graph, "parentnodename"=list("parentnodename_fcst"=graph_fcst$parentnodename, "parentnodename_hcst"=graph_hcst$parentnodename
                                                    ))
                                                    
  } else{

    graph<-SunsetProv.Command(graph_hcst$graph, package="Visualization", version="2.0.0", fun="modules/Visualization/Visualization.R", arg.list=list("recipe"="Recipe","Data"="Data"), 
                              origin.node.name=(unlist(graph_hcst$nodenames)))
    graph<-list("graph"=graph, "parentnodename"=list("parentnodename_hcst"=graph_hcst$parentnodename))   
  }
  data$graph.prov<-graph
  print("Visualization provenance computed")
  return(data)


}
